<!-- Add/Edit Panel Header -->
<div class="hd-modal-header">
  <div *ngIf="entryUnderEditIdx !== undefined">Edit Employment</div>
  <div *ngIf="entryUnderEditIdx === undefined">Add Employment</div>
</div>


<form [formGroup]="_form" (ngSubmit)="_onSubmit()" class="container-fluid">
  <!-- Company Name field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['company'])">
      <label for="company">Company</label>
      <input type="text" id="company" class="form-control" formControlName="company" />
      <form-field-errors id="companyErrors" [field]="_formState['company']"></form-field-errors>
    </div>
  </div>

  <!-- Title at Company Field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['title'])">
      <label for="title">Title</label>
      <input type="text" id="title" class="form-control" formControlName="title" />
      <form-field-errors id="titleErrors" [field]="_formState['title']"></form-field-errors>
    </div>
  </div>

  <!-- Dates work fields -->
  <h3 style="font-weight:bold;margin-bottom:5px;">Period</h3>
  <div class="row">
    <div class="col-xs-12 col-md-5">
      <div class="row">
        <!-- Start Month Field -->
        <div class="col-xs-6">
          <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState['start_month'])">
            <select id="start_month" class="form-control" formControlName="start_month" style="min-width: 110px">

                <option value="undefined" disabled [selected]="!_form.value['start_month']">month</option>

                <option *ngFor="let start_month of _monthOptions" [value]="start_month.value"
                        [selected]='_form.value.start_month == start_month.value'>
                    {{ start_month.name }}
                </option>
            </select>
          </div>
        </div>

        <!-- Start Year Field -->
        <div class="col-xs-6">
          <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState['start_year'])">
            <select id="start_year" class="form-control" formControlName="start_year">
                <option value="" disabled [selected]="!_form.value['start_year']">year</option>

                <option *ngFor="let start_year of _yearOptions" [value]="start_year"
                        [selected]='_form.value.start_year == start_year'>
                    {{ start_year }}
                </option>
            </select>
          </div>
        </div>
      </div>

      <!-- Chrono order violated error message -->
      <div class="row" *ngIf="_isChronoOrderViolated()">
        <div class="col-xs-12">
          <div class="form-group, has-error">
            <form-field-errors id='chronoOrderViolatedLabel' [field]='_chronoOrderViolatedMessage'>
            </form-field-errors>
          </div>
        </div>
      </div>
    </div>


    <div class="col-xs-12 col-md-2" style="text-align:center; font-style:italic; padding:7px 0;">through</div>


    <!-- End date worked fields -->
    <div class="col-xs-12 col-md-5">
      <div class="row" *ngIf="!_form.value.currently_works_here" id='endDate'>
        <!-- End month worked field -->
        <div class="col-xs-6">
          <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState.end_month)">
            <select id="end_month" class="form-control" formControlName="end_month" style="min-width: 110px">
                <option value="undefined" disabled [selected]="!_form.value.end_month">month</option>

                <option *ngFor="let end_month of _monthOptions" [value]="end_month.value"
                        [selected]='_form.value.end_month == end_month.value'>
                    {{ end_month.name }}
                </option>
            </select>
          </div>
        </div>

        <!-- End year worked field -->
        <div class="col-xs-6">
          <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState.end_year)">
            <select id="end_year" class="form-control" formControlName="end_year">
                <option value="" disabled [selected]="!_form.value.end_year">year</option>

                <option *ngFor="let end_year of _yearOptions" [value]="end_year"
                        [selected]='_form.value.end_year == end_year'>
                    {{ end_year }}
                </option>
            </select>
          </div>
        </div>
      </div>

      <!-- Currently works here label -->
      <div *ngIf="_form.value.currently_works_here" id='presentLabel' style="font-size:20px; font-weight:bold; padding-bottom:10px;">Present</div>

      <!-- Currently works here checkbox -->
      <div class="checkbox">
        <label for="currently_works_here">
            <input type="checkbox" id="currently_works_here" formControlName="currently_works_here" />
            I currently work here
        </label>
      </div>
    </div>
  </div>


  <!-- Optional description field -->
  <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState['description'])">
    <label for="description">
      Description (optional)
    </label>
    <textarea *ngIf="!_form.value.company" id="description" class="form-control" formControlName="description" rows="3" placeholder="Write a brief description of your position at this job."></textarea>
    <textarea *ngIf="_form.value.company" id="description" class="form-control" formControlName="description" rows="3" placeholder="Write a brief description of your position at {{ _form.value.company }}."></textarea>
    <form-field-errors id="descriptionErrors" [field]="_formState['description']"></form-field-errors>
  </div>


  <!-- Save / Cancel buttons -->
  <div class="edit-panel-buttons">
    <button type="submit" class="btn btn-primary" [disabled]="!_form.valid" id='saveButton'>Save</button>
    <a id='cancelButton' class="btn btn-default" (click)="_onCancel()">Cancel</a>
  </div>
</form>
